:root
{
    --bg: #111111;
    --sbg: #2E3135;
    --tbg: #49545B;
    --font: #EEEEEE;
    --sfont: #CDD0D5;
    --tfont: #B6B6B6;
    --primary: #1a297b;
    --sprimary: #00519F;
    --red: #f64e60;
}

*
{
    padding: 0;
    margin: 0;
}

html
{
    scroll-behavior: smooth;
}

body
{
    font-family: "Poppins", sans-serif;
    background-color: var(--bg);
    color: var(--font);
    box-sizing: border-box;
}

a
{
    color: inherit;
    text-decoration: none;
}

.loginForm
{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 500px;
    max-width: 500px;
    padding: 3rem;
    border-radius: 1rem;
    background-color: var(--sbg);
}

.loginForm > h1
{
    font-size: 2.5rem;
    text-align: center;
}

.formLogin
{
    margin-top: 2rem;
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;
    gap: 1rem;
}

.loginUser, .loginPassword
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;
}

.loginUser > label
{
    color: var(--sfont);
    font-size: 1rem;
    font-weight: bold;
}

.loginUser > input
{
    outline: none;
    border: 1px solid var(--sfont);
    width: 100%;
    padding: 0.5rem;
    font-size: 1rem;
    border-radius: 0.5rem;
    transition: 0.3s;
}


.loginPassword > label
{
    color: var(--sfont);
    font-size: 1rem;
    font-weight: bold;
}

.loginPassword > input
{
    outline: none;
    border: 1px solid var(--sfont);
    width: 100%;
    padding: 0.5rem;
    font-size: 1rem;
    border-radius: 0.5rem;
    transition: 0.3s;
}

.loginForm > form > input
{
    width: 100%;
    padding: 1rem;
    font-size: 1rem;
    outline: none;
    border: 1px solid var(--sprimary);
    border-radius: 0.5rem;
    color: var(--font);
    background-color: var(--sprimary);
    font-weight: bold;
    cursor: pointer;
    transition: 0.5s;
}

.loginForm > form > input:hover
{
    background-color: var(--primary);
    border: 1px solid var(--primary);
}

main
{
    width: 100%;
}

nav
{
    min-height: calc(100vh - 4rem);
    max-height: calc(100vh - 4rem);
    overflow-y: auto;
    background-color: var(--sbg);
    /* width: calc(100% - 4rem); */
    width: 15%;
    padding: 2rem;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 900;
}

@media only screen and (max-width: 1400px)
{
    nav
    {
        width: 25%;
    }
}

@media only screen and (max-width: 1100px)
{
    nav
    {
        width: 35%;
    }
}


@media only screen and (max-width: 900px)
{
    nav
    {
        width: 45%;
    }
}

nav > i
{
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
    font-size: 1.5rem;
    cursor: pointer;
}

.navKafelek
{
    margin-top: 2rem;
}

.navKafelek > p
{
    color: var(--tfont);
    font-size: 0.9rem
}

.navKafelek > ol
{
    margin-top: 1rem;
    list-style-type: none;
}

.navKafelek > ol > li
{
    color: var(--sfont);
    transition: 0.5s;
}

.navKafelek > ol > li > a
{
    display: inline-block;
    width: 100%;
    padding: 0.5rem;
    transition: 0.5s;
}

.navKafelek > ol > li > a:hover
{
    background-color: var(--tbg);
    color: var(--font);
}

.container
{
    width: 100%;
}

.top
{
    background-color: var(--tbg);
    position: fixed;
    top: 0;
    left: 0;
    width: calc(100% - 3rem);
    padding: 1.5rem;
    text-align: right;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.top > i 
{
    font-size: 1.5rem;
    cursor: pointer;
}

.topLogOut
{
    color: var(--tfont);
    font-size: 1.1rem;
    transition: 0.5s;
}

.topLogOut:hover
{
    color: var(--font);
}

.content
{
    margin-top: 8rem;
    width: 100%;
}

.contentWelcome
{
    width: 100%;
    height: 50vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contentWelcome > h1
{
    font-size: 3.5rem;
}

.contentAction
{
    width: 50%;
    margin: 0 auto 2rem auto;
    margin-top: 2rem;
}

@media only screen and (max-width: 1400px)
{
    .contentAction
    {
        width: 65%;
    }
}

@media only screen and (max-width: 1100px)
{
    .contentAction
    {
        width: 75%;
    }
}

@media only screen and (max-width: 900px)
{
    .contentAction
    {
        width: 98%;
    }
}

.contentAction > h1
{
    font-size: 2rem;
    margin-bottom: 1rem;
}

.formInput
{
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-direction: column;
    margin-top: 2rem;
}

.formInputCheck
{
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 2rem;
    margin-top: 2rem;
}


.formInput > div
{
    width: 100%;
}

label
{
    color: var(--font);
    font-size: 1rem;
    font-weight: bold;
}

.input:not(input[type="checkbox"])
{
    outline: none;
    border: 1px solid var(--font);
    background-color: var(--font);
    width: 100%;
    padding: 0.5rem;
    font-size: 1rem;
    border-radius: 0.5rem;
    transition: 0.3s;
    box-sizing: border-box;
}

textarea
{
    outline: none;
    border: 1px solid var(--font);
    background-color: var(--font);
    width: 100%;
    height: 15ch;
    padding: 0.5rem;
    font-size: 1rem;
    border-radius: 0.5rem;
    transition: 0.3s;
    box-sizing: border-box;
    resize: none;
}

.formInputs
{
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 1rem;
    margin-top: 2rem;
}

input[type="submit"]
{
    width: max-content;
    padding: 0.5rem 1.5rem;
    font-size: 0.9rem;
    outline: none;
    border: 1px solid var(--sprimary);
    border-radius: 0.5rem;
    color: var(--font);
    background-color: var(--sprimary);
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

input[type="button"]
{
    width: max-content;
    padding: 0.5rem 1.5rem;
    font-size: 0.9rem;
    outline: none;
    border: 1px solid var(--primary);
    border-radius: 0.5rem;
    color: var(--font);
    background-color: var(--primary);
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}


.admin-index-cont
{
    margin: 2rem auto;
    width: 60%;
}

@media only screen and (max-width: 1400px)
{
    .admin-index-cont
    {
        width: 98%;
    }
}


.admin-up-table
{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.admin-up-table h1
{
    font-size: 2rem;
    margin-bottom: 1rem;
}

.admin-up-table > a
{
    padding: 0.7rem 2rem;
    width: max-content;
    font-size: 1.2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.2rem;
    color: var(--font);
    transition: 0.5s;
}

.admin-tabela
{
    width: 100%;
}

.admin-tabela > table
{
    width: 100%;
    text-align: left;
    border-collapse: collapse;
    font-size: 0.9rem;
    font-weight: 500;
}

.admin-tabela > table tr
{
    border: 1px solid var(--font);
}

.admin-tabela > table td,
.admin-tabela > table th
{
    padding: 1rem;
    word-wrap: break-word;
    white-space: normal;
}
.admin-tabela > table td
{
    background-color: var(--sbg);
}


.admin-tabela > table th
{
    font-weight: 500;
    background-color: var(--bg);
}

.admin-tabela > table th:nth-child(1)
{
    width: 10%;
}

.admin-tabela > table th:nth-child(2)
{
    width: 40%;
    
}

.admin-tabela > table th:nth-child(3)
{
    width: 25%;
}

.admin-tabela > table th:last-child
{
    width: 25%;
}

.admin-tabela > table td
{
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.admin-tabela > table td:last-child
{
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 1rem;
}

.admin-tabela-icons
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: max-content;
}

.admin-tabela-edit
{
    border: 2px solid var(--sprimary);
    color: var(--sprimary);
    padding: 0.5rem;
    position: relative;
    transition: 0.5s;
}

.admin-tabela-details
{
    border: 2px solid var(--accent);
    color: var(--accent);
    padding: 0.5rem;
    position: relative;
    transition: 0.5s;
}

.admin-tabela-delete
{
    border: 2px solid var(--red);
    color: var(--red);
    padding: 0.5rem;
    position: relative;
    transition: 0.5s;
}

.label-input-file
{
    cursor: pointer;
    text-align: center;
    border: 1px solid var(--sprimary);
    transition: 0.5s;
    box-sizing: border-box;
    outline: none;
    padding: 1rem;
    color: var(--text);
    background-color: var(--bg);
}

.label-input-file > span
{
    font-weight: normal;
}

.formInput input[type="file"]
{
    display: none;
}

select
{
    outline: none;
    border: 1px solid var(--sbg);
    width: 100%;
    padding: 0.5rem;
    font-size: 1rem;
    border-radius: 0.5rem;
    box-sizing: border-box;
}